<?php
require_once("DBManager.class.php");

class Acuerdos{
	private $idacuerdo;
	private $acuerdo;///
	private $fecha;
	private $publicado;
	private $estado;
		
	///////////////////////////////////////////
	public function Crear($idafi,$fecha,$nom,$estado)
	{
		$resp=false;		
		$db= new DBManager();	
		$fecha = implode("-", array_reverse(explode("-", $fecha)));	
		if($db->_execute("INSERT INTO acuerdos(idacuerdo,acuerdo,fecha,publicado,estado) VALUES(null,'".$idafi."','".$fecha."','".$nom."','".$estado."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorFecha($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$v = implode("-", array_reverse(explode("-", $v)));		
		$rs=$db->execute("select idacuerdo,acuerdo,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,publicado,estado from acuerdos where(fecha ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idacuerdo"	    => $rs->fields["idacuerdo"],
									"acuerdo"	    => $rs->fields["acuerdo"],
									"fecha" 	    => $rs->fields["fecha"],
									"publicado" 	=> $rs->fields["publicado"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idacuerdo,acuerdo,fecha,publicado,estado from acuerdos where(idacuerdo = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idacuerdo=$rs->fields["idacuerdo"];
					  $this->acuerdo=$rs->fields["acuerdo"];
					  $this->fecha=$rs->fields["fecha"];
				      $this->publicado=$rs->fields["publicado"];
					  $this->estado=$rs->fields["estado"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idd,$ac,$fecha,$nom,$estado)			
	{
		$resp=false;		
		$db= new DBManager();	
		$fecha = implode("-",array_reverse(explode("-",$fecha)));	
		if($db->_execute("update acuerdos set acuerdo='".$ac."', fecha='".$fecha."',publicado = '".$nom."', estado='".$estado."' where (idacuerdo=".$idd.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorAcuerdo($v)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idacuerdo,acuerdo,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,publicado,estado from acuerdos where (acuerdo LIKE CONCAT('%','".$v."','%')) ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idacuerdo"	    => $rs->fields["idacuerdo"],
									"acuerdo"	    => $rs->fields["acuerdo"],
									"fecha" 	    => $rs->fields["fecha"],
									"publicado" 	=> $rs->fields["publicado"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPublicado()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idacuerdo,acuerdo,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,publicado,estado from acuerdos where (publicado='SI') ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idacuerdo"	    => $rs->fields["idacuerdo"],
									"acuerdo"	    => $rs->fields["acuerdo"],
									"fecha" 	    => $rs->fields["fecha"],
									"publicado" 	=> $rs->fields["publicado"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idacuerdo,acuerdo,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,publicado,estado from acuerdos");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idacuerdo"	    => $rs->fields["idacuerdo"],
									"acuerdo"	    => $rs->fields["acuerdo"],
									"fecha" 	    => $rs->fields["fecha"],
									"publicado" 	=> $rs->fields["publicado"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM acuerdos WHERE (idacuerdo=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getidacuerdo(){ return $this->idacuerdo;}
	public function getacuerdo(){ return $this->acuerdo;}
	public function getpublicado(){ return $this->publicado;}
	public function getfecha(){ return $this->fecha;}
	public function getestado(){ return $this->estado;}
	
	}
?>
